﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGResizeFixedFieldsCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void Field_PropertyChanged(object sender, System.ComponentModel.PropertyChangedEventArgs e)
        {
            Field field = sender as Field;


            if (e.PropertyName.Contains("LabelWidth") || e.PropertyName.Contains("CellWidth"))
            {
                FieldLayout owner = field.Owner;
                if (e.PropertyName.Contains("LabelWidth"))
                {
                    string str = e.PropertyName;
                    double width = field.LabelWidthResolved;
                    ResizeFixedFields(owner, width);
                }
                else
                {
                    string str = e.PropertyName;
                    double width = field.CellWidthResolved;
                    ResizeFixedFields(owner, width);
                }
            }
        }

        private void ResizeFixedFields(FieldLayout owner, double size)
        {
            foreach (Field f in owner.Fields)
            {
                if (f.IsFixed)
                {
                    f.Width = new FieldLength(size);
                }
            }
        }
    }
}
